/* Serial Header */

#ifndef HEADER_SERIAL_H
#define HEADER_SERIAL_H

#include <inttypes.h>
#include "z80.h"

#define SERIAL_STARTBIT_TX 0
#define SERIAL_STOPBIT_TX 1

int serial_init (void);
int serial_deinit (void);
int serial_reset (void);
int serial_readpoll (void);
int serial_r (void);
void serial_w (uint8_t data);
void serial_config (int xtal, int baudtx, int baudrx, int databits, int stopbits);

#endif     /* HEADER_SERIAL_H */
