/* 256TC Keyboard Header */

#ifndef HEADER_KEYTC_H
#define HEADER_KEYTC_H

#include "mz80.h"

int keytc_init(void);
int keytc_deinit(void);
int keytc_reset(void);

void keytc_keydown_event (void);
void keytc_keyup_event (void);
int keytc_poll (void);
void keytc_force (int scan, int counts);
void keytc_force_none (int counts);

UINT16 keytc_r (UINT16 port, struct z80PortRead *port_s);
void keytc_w (UINT16 port, UINT8 data, struct z80PortWrite *port_s);

#endif  /* HEADER_KEYTC_H */
